/* gInfo - Copyright (C) 2004 bakunin - Andrea Marchesini 
 *                                      <bakunin@autistici.org>
 *
 * This source code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Public License as published 
 * by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * This source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * Please refer to the GNU Public License for more details.
 *
 * You should have received a copy of the GNU Public License along with
 * this source code; if not, write to:
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#else
# error Use configure; make; make install
#endif

#include <editor.h>

static GtkWidget *tips_vp;
static GtkWidget *tips_box;

/* The tips page */
int
tips_notebook (GtkWidget * vbox)
{
  GtkWidget *sw;

  sw = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_show (sw);
  gtk_box_pack_start (GTK_BOX (vbox), sw, TRUE, TRUE, 0);

  tips_vp = gtk_viewport_new (NULL, NULL);
  gtk_widget_show (tips_vp);
  gtk_container_add (GTK_CONTAINER (sw), tips_vp);

  tips_box = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (tips_box);
  gtk_container_add (GTK_CONTAINER (tips_vp), tips_box);

  return 0;
}

/* create the list of tips in the tips page */
void
tips_create_list (ginfo_tips * t, int n)
{
  GtkWidget *frame;
  GtkWidget *label;

  gtk_container_remove (GTK_CONTAINER (tips_vp), tips_box);

  tips_box = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (tips_box);
  gtk_container_add (GTK_CONTAINER (tips_vp), tips_box);

  while (n)
    {

      frame = gtk_frame_new (NULL);
      gtk_widget_show (frame);
      gtk_box_pack_start (GTK_BOX (tips_box), frame, FALSE, TRUE, 0);

      label = gtk_label_new (t->text);
      gtk_widget_show (label);
      gtk_container_add (GTK_CONTAINER (frame), label);

      t++;
      n--;
    }
}

/* EOF */
