/* gInfo - Copyright (C) 2004 bakunin - Andrea Marchesini 
 *                                      <bakunin@autistici.org>
 *
 * This source code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Public License as published 
 * by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * This source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * Please refer to the GNU Public License for more details.
 *
 * You should have received a copy of the GNU Public License along with
 * this source code; if not, write to:
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#else
# error Use configure; make; make install
#endif

#include <stdio.h>
#include <string.h>

int
usage (void)
{
  fprintf (stderr, "Usage: ginfo-config [OPTIONS]\nOptions:\n");
  fprintf (stderr, "\t[--prefix]\n");
  fprintf (stderr, "\t[--version]\n");
  fprintf (stderr, "\t[--libs]\n");
  fprintf (stderr, "\t[--cflags]\n");
  fprintf (stderr, "\t[--plugin_c_dir]\n");
  fprintf (stderr, "\t[--plugin_xml_dir]\n");

  return 1;
}

int
main (int argc, char *argv[])
{
  register int i;

  if (argc < 2)
    return usage ();

  for (i = 1; i < argc; i++)
    {
      if (strcmp (argv[i], "--prefix") &&
	  strcmp (argv[i], "--version") &&
	  strcmp (argv[i], "--libs") &&
	  strcmp (argv[i], "--cflags") && 
	  strcmp (argv[i], "--plugin_c_dir") &&
	  strcmp (argv[i], "--plugin_xml_dir"))
	return usage ();
    }

  for (i = 1; i < argc; i++)
    {
      if (!strcmp (argv[i], "--prefix"))
	fprintf (stdout, "/usr");

      else if (!strcmp (argv[i], "--version"))
	fprintf (stdout, "1.5");

      else if (!strcmp (argv[i], "--libs"))
	fprintf (stdout, " -Wl,--export-dynamic -lgtksourceview-1.0 -lgnomeprintui-2-2 -lgnomeprint-2-2 -lgnomecanvas-2 -lxml2 -lpthread -lz -lart_lgpl_2 -lpangoft2-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lcurl" " -lcurl ");

      else if (!strcmp (argv[i], "--cflags"))
	fprintf (stdout, "-Wall -DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/libxml2 -I/usr/include/gtksourceview-1.0 -I/usr/include/libgnomeprint-2.2 -I/usr/include/libart-2.0 -I/usr/include/libgnomeprintui-2.2 -I/usr/include/libgnomecanvas-2.0  ");

      else if (!strcmp (argv[i], "--plugin_c_dir"))
#ifdef GINFO_C_PATH_MODULES
	fprintf (stdout, GINFO_C_PATH_MODULES)
#endif
	  ;

      else if (!strcmp (argv[i], "--plugin_xml_dir"))
#ifdef GINFO_XML_PATH_MODULES
	fprintf (stdout, GINFO_XML_PATH_MODULES)
#endif
	  ;
    }

  fprintf (stdout, "\n");

  return 0;
}

/* EOF */
